umbrello: UMLFinder Class Reference

umbrello 2.37.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLFinder Class Referenceabstract

`#include <umlfinder.h>`

Inheritance diagram for UMLFinder:

## Public Types
enum | Category { All , Classes , Packages , Interfaces , Operations , Attributes }
enum | Filter { TreeView , CurrentDiagram , AllDiagrams }
enum | Result { Empty , End , Found , NotFound }

## Public Member Functions
| UMLFinder ()
virtual | ~UMLFinder ()
virtual int | collect (Category category, const QString &text)=0
virtual Result | displayNext ()=0
virtual Result | displayPrevious ()=0

## Protected Member Functions
bool | includeObject (Category category, UMLObject *o)

## Protected Attributes
int | m_index
QList< Uml::ID::Type > | m_items

## Detailed Description

The UMLFinder class provides the interface for find related classes.

Author
  : Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Member Enumeration Documentation

## ◆ Category

enum UMLFinder::Category

Enumerator
All |
Classes |
Packages |
Interfaces |
Operations |
Attributes |

## ◆ Filter

enum UMLFinder::Filter

Enumerator
TreeView |
CurrentDiagram |
AllDiagrams |

## ◆ Result

enum UMLFinder::Result

Enumerator
Empty |
End |
Found |
NotFound |

## Constructor & Destructor Documentation

## ◆ UMLFinder()

UMLFinder::UMLFinder | ( |  | ) |

## ◆ ~UMLFinder()

UMLFinder::~UMLFinder | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ collect()

virtual int UMLFinder::collect | ( | Category | category,
|  | const QString & | text
| ) |  |
| pure virtual

Collect items limited by a category and a text

Parameters

  category | Category to search for
  text | Text to search for

Returns
  Number of items found

Implemented in UMLDocFinder, UMLListViewFinder, and UMLSceneFinder.

## ◆ displayNext()

virtual Result UMLFinder::displayNext | ( |  | ) |
| pure virtual

Show next item.

Returns
  Result result of the operation

Implemented in UMLListViewFinder, and UMLSceneFinder.

## ◆ displayPrevious()

virtual Result UMLFinder::displayPrevious | ( |  | ) |
| pure virtual

Show previous item.

Returns
  Result result of the operation

Implemented in UMLListViewFinder, and UMLSceneFinder.

## ◆ includeObject()

bool UMLFinder::includeObject | ( | UMLFinder::Category | category,
|  | UMLObject * | o
| ) |  |
| protected

## Member Data Documentation

## ◆ m_index

int UMLFinder::m_index
| protected

## ◆ m_items

QList<Uml::ID::Type> UMLFinder::m_items
| protected

The documentation for this class was generated from the following files:

- umbrello/finder/umlfinder.h
- umbrello/finder/umlfinder.cpp